=============================================================================
         Intel(R) Server Platform Integrated BMC Firmware Release Notes
=============================================================================

INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

=============================================================================
DATE:       Oct 07, 2012

TO:         Intel(R) Server Platform S5500BC, S5520HC, S5520SC, S5520UR,
	    S5500WB, & S5500WBV customers

SUBJECT:    Integrated BMC firmware 00.61 release notes

=============================================================================
                               LEGAL INFORMATION
=============================================================================
Information in this document is provided in connection with Intel products. 
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter.  
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any 
such patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (c) 2012 Intel Corporation.

A portion of this firmware is open source code.
You can download a tarball of this open source code at the following public
Intel site: 
http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&DwnldID=17649

This open source code falls under the GPL 2.0 license, please see the license
at the following link:
http://www.opensource.org/licenses/gpl-2.0.php  

=============================================================================
                            ABOUT THIS RELEASE PACKAGE
=============================================================================
REVISION INFORMATION RETURNED BY GET DEVICE ID COMMAND:
Operational mode:   00.61
UBoot mode:	    00.19
Device ID:	    0x21
Manufacturer ID:    0x000157
Product ID:         0x003E

Other version/revision information:
Root/OS/WWW:        9.18 
FWPIAUPD:           4.0.2 Build 10
Release Notes:      00.61 rev 1.0

=============================================================================
                         IMPORTANT INSTALLATION NOTES
=============================================================================
- The following update process must be followed to ensure a trouble free
  updating of your baseboard.
	1.BMC firmware to 00.58 or later
	2.BIOS R0060 or later
	3.Manageability Engine (ME) firmware 01.12 or later
	4.Hot-swap backplane HSC firmware 2.17 specific to the chassis
	5.Latest FRU/SDR package specific to the baseboard.

=============================================================================
              INSTALLATION PROCEDURE WITH BMC 00.40 PREINSTALLED
=============================================================================
1. If BMC 00.40 has not been installed then please install that release first
   prior to installing this 00.61 release. The BMC 00.40 update contains
   a critical boot block update which must be present before installing this
   00.61 release.

2. Copy the entire contents of the BMC_0061.zip archive file to the storage 
   medium of your choice. This can be a hard disk, floppy disk or USB
   flash drive.
   All of the files in the zip archive must reside in the same directory.

3. Boot to EFI and then run the updBMC.nsh script file to update the
   Integrated BMC and Intel(R) Remote Management Module 3 firmware.

   Using fwpiaupd.efi with your own command line parameters is not supported
   and doing so is at your own risk!

4. Install latest available FRU/SDR package.

=============================================================================
                           UPDATING THE BOOT BLOCK
=============================================================================
If a boot block update is required you may need to change the command or the
configuration file used.

When using UEFI FWPIAUPD.EFI the NSH file should have the -b (update boot
block) command line switch. The following is an example:
    FWPIAUPD -u -b -bin -o -pia -ni BMC_filename.ima

When using OFU the flashupdt.cfg file parameters may need to be changed. You
may need to add the area parameter so you can specify that the boot block
area should also be loaded. This would be done on the same line as the
firmware image is specified. The following is an example:
    FWDNAME "<BMC_filename.ima>" filetype=fwimg area=boot+opcode+pia+rmm

=============================================================================
                 KNOWN ISSUES/WORKAROUNDS/REQUIREMENTS
=============================================================================
- Users of the KVM feature will need to install the client Java JRE software
  otherwise the KVM redirection application will not launch.
  The latest Java Runtime Environment (JRE) update can be downloaded from
  here: http://www.java.com/en/

- Two new features related to the Embedded Web Server were added, it is
  recommended that you clear the cookies and caches of your web browser to
  cleanly load the new feature.

===============================================================================
                                00.61
===============================================================================
- Fixed: SMS-ATTN bit (KCS status register) not geting cleared after clearing
         watchdog pre-timeout flag
- Fixed: RMM3 remote console port forwarding issue
- Fixed: Sometimes NIC1 eth0 negotiates to 100M or 10M instead of 1G.
- Fixed: Multiple vulnerabilities reported against RMM3.
- Added: Open SSL About button in RMM3 web console.
- Added: IPMI OEM command to disable HTTP.

===============================================================================
                                00.60
===============================================================================
- Fixed: Entropy issue in RSA key generation.

===============================================================================
                                00.59
===============================================================================
- Fixed: BMC NVRAM incorrect after DHCP configuration.
- Fixed: RMM3 web console stops working after booting ESX 4.1.
- Fixed: IP address not saved when both LAN and RMM3 IP address set in BIOS
         setup.
- Fixed: RMM3 Unsuccessful Graceful shutdown message is confusing.
- Added: Add close services & get services status OEM IPMI commands.

===============================================================================
                                00.58
===============================================================================
- Fixed: Get User Access cmd returns wrong value for Count of currently enabled
         user IDs 
- Fixed: Web server cannot display baseboard FRU data
- Fixed: Set the BMC and RMM3 IP settings at the same time in BIOS menu
         requires AC cycle to http to BMC Lan1 or RMM3 Lan3
- Fixed: Booting from the SPI with Cache enabled. Recommendation to fix no
         Video error
- Fixed: rKVM/Remote media client not tracking source port forwards
- Fixed: BMC hang being reported by customer.
- Added: Test BMC to allow capture of CATerr data
- Added: Graceful OS shutdown using web server	 

===============================================================================
                                00.57
===============================================================================
- Fixed: Authentication error  - Found during stress test of KVM and web
         session sensor test:
- Fixed: Error opening Video Socket after disconnecting network cable
- Fixed: BMC/RMM3 hangs intermittently with KVM activity
- Fixed: Multiple issues with Win7/IE8/Java 6 Update 22, RMM connection/remote
         access.
- Fixed: KVM session no response to keyboard when first opened in BIOS setup
         and EFI.
- Fixed: KVM connection getting Connection Failure - Error reading Video data
         pop-up window.
- Fixed: Activate Payload Command - Response data maximum inbound & outbound
         payload size invalid.
- Fixed: Set Channel Access - Changing non-volatile channel field immediately
         changes volatile.
- Fixed: MEM Fan1 lost control at 100% speed by using FRUSDR26.
- Fixed: When a redundant supply is removed RMM3 Web GUI FRU info page gets an
         error.

===============================================================================
                                00.56
===============================================================================
- Fixed: Fan fault LED is not light when generating lower critical events for
         sensor 0x39 
- Fixed: Fan fault LED was NOT on when sensor 39h was in lower critical going
         low status.
- Fixed: RMM3 Sensor Readings - Thresholds for Hot-Swap Backplane read as 0
- Added: Added 'Graceful OS Shutdown' support

===============================================================================
                                00.55
===============================================================================
- Fixed: Exiting SMASH SOL does not return serial mux to external port
- Fixed: Power unit failure sel was logged when IOH thermal trip is generated
- Fixed: Power unit failure sel is logged when processor thermal trip is
         generated
- Fixed: IOH thermal trip always generate 1-5-4-2 beep code and event log for
         power failure
- Fixed: Russian symbols are scrambled when using KVM-redirection.
- Fixed: Request to revert fan power drive received completion code C1h
- Fixed: Fail to bulid a .ima file use the RMM3 EWS OEM Customization kit under
         BMC
- Fixed: RMM3 customization failing with BMC54
- Fixed: S5520UR BMC cannot work if they moved the server to a new subnet and
         reset IP
- Added: Secure JSON interface for IHC
- Added: Enhancements to IHC requirements and SSL Certificate insertion feature
- Added: Removal of Read SSL file command for IHC support

===============================================================================
                                00.54
===============================================================================
- Fixed: last state of AC power loss setting no function after several AC
         cycles
- Fixed: Power On Hours counter increases when system is powered-off
- Fixed: POST code LEDs do not correctly indicate error code for no DIMMs
         installed

===============================================================================
                                00.53
===============================================================================
- Fixed: No drive events in SEL when applying AC and booting in <10 seconds
- Fixed: Unable to control fan connected to MEM1 Fan header (J9A3)
- Added: Modified fan speed offset to increase domain max curve
- Added: Add fan speed offset commands

===============================================================================
                                00.52
===============================================================================
- Fixed: Users are enabled by default when they should not be.
- Fixed: "Pwr Unit Redund" sensor triggers unexpected event after "Run
  Fixed: Initialization Agent" command is sent
- Fixed: Set Sensor Event Enable not preserving bits during a set operation
- Fixed: Run Init agent not following scanning enable bit for all sensors
- Added: Reduce RMM Virtual keyboard USB poll rate (bInterval) from 1mS to 10mS

===============================================================================
                                00.51
===============================================================================
- Fixed: Get ProdID and Get RevID sometimes fail
- Fixed: Run FTF pc_getSetSystemBootOptionsAutomated.tcl cause I2C transport
         error.
- Fixed: Run PC_ChassisControl.tcl cause I2C transport error.
- Fixed: Unable to use keyboard with the KVM feature
- Fixed: The system can't power on after clear SDR repository and AC power
         cycle system.
- Fixed: I2C interface timeout during Sensor Stress test
- Fixed: Some FTF script test items always cause I2C transport errors.
- Fixed: Fan sensor status bit not getting updated
- Fixed: Status bits error in get sensor reading response after Run Init Agent
         completed
- Fixed: SMASH-Lite "SOL Command" test fail.
- Fixed: Stress of Set/Get LAN configuration commands for VLAN IDs is fail
- Fixed: Display change on RHEL* 5.4 EM64T may cause BMC halt on S5520UR, if a
         RMM3 KVM console opened.
- Fixed: Mouse synchronization issue on RMM3 KVM console on S5520UR.
- Fixed: When SDR is cleared, system can't boot up after AC power cycle
- Fixed: RMM3 KVM keyboard mapping issue - soft keyboard assumed UK keyboard is
         same as US Keyboard
- Fixed: FRU/SDR package unable to install due to product ID being zero
- Fixed: When SDR is cleared, system can't boot up after AC power cycle.
- Added: Have BMC respond to IPMI command for a Cold Reset
- Added: Internal BMC, HSC & ME communication enhancements to the IPMB busses
- Added: Add OEM IPMI command to read TControl values
- Added: Remove unused Explode function causing issues with SCS code scan

===============================================================================
                                00.49
===============================================================================
- Fixed: Fix potential memmap error
- Fixed: EWS users with operator privilege level unable to do power operations
- Fixed: 1.5v MEM voltage sensor report error when using 1.35v DDR
- Fixed: Fans ramp up but do not spin down after Stress SW is removed
- Fixed: KCS Interface becomes unresponsive when SEL is 80% full
- Fixed: Unable to ping the server when DHCP HOST name contains space
         (e.g: xyz abc)
- Fixed: A 1-5-4-2 beep code is generated using FP to power off (3rd party PS,
         custom chassis)
- Fixed: Power Supply lost event in SEL
- Fixed: BMC Port loses connection on System Reset causing BIOS output loss
         with SOL and KVM.
- Fixed: FP PWR LED is still on after system is off
- Added: Add GPIO interruptible capability.
- Added: Update Intel's pwm h files with GPL licensing and headers
- Added: Add support for command to return processor TDC value

===============================================================================
                                00.48
===============================================================================
- Fixed: SMASH Test "SOL Command" failed
- Fixed: remote K/M halts after un-redirecting CDROM
- Fixed: RMM3 -- KVM display bottom is sometimes black at 24bpp
- Fixed: RMM3 Remote KVM connection will be lost by using x64 JRE* (For Linux)
- Added: Support for Telco Alarm Manager and its front panel HW.

===============================================================================
                                00.47
===============================================================================
- Fixed: "Last BMC Processed Event ID" is not matching with the last SEL Record
         ID.
- Fixed: FW crash and require re-flash after sdr_reservationCancellation test
- Fixed: UBOOT env variable for product ID getting deleted randomly
- Fixed: BMC came crash after Exit Firmware Transfer Mode
- Fixed: IPMITool or Freeipmi utility cause the BMC to hang
- Fixed: System does not power back on when doing AC cycle testing and the
         "Last State" is set in BIOS.
- Fixed: A larger surplus of events will be logged if remove one of the
         redundancy power cable
- Fixed: BMC is not responding during system DC power cycle stress under 
         BMC 00.45

===============================================================================
                                00.46
===============================================================================
- Fixed: There is no SEL logged after clear SEL twice.
- Fixed: No entries found in the system Event log after clearing SEL twice
- Fixed: RMM3 Web Console - cannot change the password for the anonymous user
- Fixed: Mismatched CPUs Fails to Light Amber LED
- Fixed: Suspend BMC ARPs Command not fully implemented
- Fixed: Suspend BMC ARPs for Gratuitous ARPs not working correctly
- Fixed: Sometimes after updating FW, all settings are lost
- Fixed: There is no SEL log after clear SEL twice
- Fixed: The frame of EWS pages doesn't adapt itself to the windows under
         Mozilla Firefox* 3
- Added: Support for LV-DDR3 (1.35v) DIMM voltage sensors

===============================================================================
                                00.45
===============================================================================
- Fixed: Fail to control the fan speed via Set SM signal command

===============================================================================
                                00.44
===============================================================================
- Fixed: BMC 0.43 - RMM3 Softkeyboard has many blank keys
- Fixed: Problems with system event log sensor (0x07)
- Fixed: ARP cannot be disabled on the BMC
- Fixed: Setting of Backup Gateway IP fails in DHCP mode
- Fixed: Mouse Mode setting needs comments "Set Mode to Absolute - Linux" and
         "Set Mode to Relative - Windows"
- Fixed: Unexpected event is observed after AC cycle under BMC 00.42 and 00.43

===============================================================================
                                00.43
===============================================================================
- Fixed: Processor thermal trip bit is not cleared after manual rearm
- Fixed: Spelling error for 'Both' compression option help in KVM
- Fixed: DHCP Hostname not set to NULL when it is directly set from block 2
- Fixed: Set LAN Configuration Parameter command return invalid completion code
         for param
- Fixed: Execute a Platform Event Message with one less byte result returns
         0x00.
- Fixed: System boot to PXE and boot flag valid bit is not cleared after reset
- Fixed: Get ACPI power state return Undefined when system power off (S5-Soft
         off).
- Fixed: Set PEF to trigger a PowerCycle action, waited for 30s power didn't
         turn OFF
- Fixed: Full data is returned for Get BIOS ID command even when the offset is
         not 0
- Fixed: The Thermal Trip status didn't be cleared by Re-arm Sensor Events
         Command
- Fixed: The response data is wrong when executing Platform Event Message
         command with one less byte.
- Fixed: Removing a fan from redundant fan system does not cause fans to boost
- Fixed: Fan do not increase fan speed when two redunant fans are removed
- Fixed: Get ACPI power state" command response is incorrect when press power
         button to turn off SUT with BMC 37
- Fixed: Some PEF actions are not working
- Fixed: Debug Console reports I2C failures when accessing IPMB
- Fixed: "Platform Event" command should be rejected when the request data is
         one byte less under BMC 00.38
- Fixed: Unexpected behavior of setting and getting LAN configuration parameter
         "BMC-generated ARP control" under BMC 00.38
- Added: Added check to make sure only available HSC controllers are polled
         from BMC to push Power state to HSC

===============================================================================
                                00.42
===============================================================================
- Fixed: Need to add/enable the Processor 1 Thermal Control % sensor SDR
- Fixed: RMM3 Remote console supported a soft keybaord
- Fixed: Fwpiaupd build 6 Windows* Pre-installation Environment 1.5: LCP fails
         to update on S5520SC
- Fixed: S5500WB: Processor thermal ctrl % sensors indicates INIT status after
         stress test
- Fixed: Set a DHCP Hostname with less than 16 bytes return 0xCC.
- Fixed: Alt Key and Ctrl key function from Keyboard menu isn't normal within
         KVM session
- Fixed: This issue happens even though running CLTT with supported memory
         sticks, which have thermal sensor on DIMM.
- Fixed: No asserted event logged for power supply configuration error
- Fixed: Fast Firmware update feature not working in BMC41
- Fixed: BMC responds with error completion code when set DHCP Hostname with
         less than 16 bytes
- Added: SMBIOS data over OOB
- Added: Resolved IPMB deadlock issue when more than one IPMB message
         transaction is initialted internally from BMC.
- Added: Alignment trap issue fixed in MDR file

===============================================================================
                                00.41
===============================================================================
- Fixed: RMM3 does not support user definable keyboard macros
- Fixed: Get Session Info command can't get the remote IP and MAC of remote
         console
- Fixed: BMC didn't generate 1-5-2-1 beep code for cpu missing.
- Fixed: No asserted event logged for power supply configuration error.
- Fixed: PEF - FW does not preserve the last event ID processed by the BMC.
- Fixed: PEF - FW does not perform PEF actions for an unprocessed events in the
         SEL
- Fixed: The present ACPI Power State is wrong under DOS.

===============================================================================
                                00.40
===============================================================================
- Fixed: Temperature sensors cannot be access in stand-by
- Fixed: BB +1.8V AUX voltage sensor (0x15) cannot be read while the system is
         in a DC off (stand-by) power state
- Fixed: Email alert is not getting generated to 2 destinations simultaneously
- Added: Support for new flash part

=============================================================================
                             REFERENCE MATERIAL
=============================================================================
Intel(R) S5500 Server Systems Integrated Baseboard Management Controller Core
EPS

[END OF RELEASE NOTES]
